# 78. Consulta: Encontrar "Fields" por "externalKey"

Encontre "Fields" pelo externalKey de terceiros incorporado durante o procedimento de registro do "Field".

### <mark style="color:laranja;">OPÇÃO 1</mark> usando a consulta getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta FindFieldsByExternalKeyOption1 {
  getFields(filtro: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    contagemTotal
    fields {
      uuid
      nome
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:laranja;">OPÇÃO 2</mark> usando a consulta getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      nome
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/78.-consulta-encontrar-fields-por-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
